# -*- coding: ISO-8859-1 -*-
# Copyright (C) 2005 Christian Mauduit <ufoot@ufoot.org>

import time

class Common:
    """Common namespace, elements which should be defined
    in any page of any kind."""
    def __init__(self,context):
        """Initialize namespace from request parameters."""
        self.ns={}
        self.ns["date"]=time.strftime("%Y/%m/%d %H:%M:%S %Z",time.localtime())
        for key in ("root",
                    "cgi_bin",
                    "soap_service",
                    "title",
                    "contact"):
            self.ns[key]=context.config.params[key]
        for key in ("map_width_px",
                    "map_height_px",
                    "google_map_width_px",
                    "google_map_height_px",
                    "google_iframe_width_px",
                    "google_iframe_height_px"):
            self.ns[key]=int(context.config.params[key])




       
