#!/bin/sh

CHOWN_PAR=2001:2001

DST_HTDOCS=/chroot/sarge-i386/usr/local/gis/htdocs/pygpsweb
SRC_HTDOCS=`dirname $0`/../htdocs

install -d $DST_HTDOCS
rsync \
--recursive \
--delete \
--delete-excluded \
--exclude="*.arch-ids*" \
--exclude="*{arch}*" \
--exclude="*CVS*" \
--exclude="*.pyc*" \
$SRC_HTDOCS/ $DST_HTDOCS/

chown -R $CHOWN_PAR $DST_HTDOCS

DST_CGIBIN=/chroot/sarge-i386/usr/local/gis/cgi-bin
SRC_CGIBIN=`dirname $0`/../cgi-bin

install -d $DST_CGIBIN
rsync \
--recursive \
--delete \
--delete-excluded \
--exclude="*.arch-ids*" \
--exclude="*{arch}*" \
--exclude="*CVS*" \
--exclude="*.pyc*" \
$SRC_CGIBIN/ $DST_CGIBIN/

chown -R $CHOWN_PAR $DST_CGIBIN

DST_ETC=/chroot/sarge-i386/usr/local/gis/etc
SRC_ETC=`dirname $0`/../etc

install -d $DST_ETC
rsync \
--recursive \
--delete \
--delete-excluded \
--exclude="*.arch-ids*" \
--exclude="*{arch}*" \
--exclude="*CVS*" \
--exclude="*.pyc*" \
$SRC_ETC/ $DST_ETC/

chown -R $CHOWN_PAR $DST_ETC

DST_MISC=/chroot/sarge-i386/usr/local/gis/bin
SRC_MISC=`dirname $0`/../misc

install -d $DST_MISC
rsync \
--recursive \
--exclude="*.arch-ids*" \
--exclude="*{arch}*" \
--exclude="*CVS*" \
--exclude="*.pyc*" \
$SRC_MISC/ $DST_MISC/

chown -R $CHOWN_PAR $DST_MISC
